From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tenacity/
Date: Mon, 14 Aug 2023 14:55:26 +0000 (UTC) [thread overview]
Message-ID: <1692024916.103f409b1bc065f3beea6cc2d46214d83a8abde2.mgorny@gentoo> (raw)
commit: 103f409b1bc065f3beea6cc2d46214d83a8abde2
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 14 14:34:19 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 14 14:55:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=103f409b
dev-python/tenacity: Bump to 8.2.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/tenacity/Manifest | 1 +
dev-python/tenacity/tenacity-8.2.3.ebuild | 40 +++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/tenacity/Manifest b/dev-python/tenacity/Manifest
index 66e9b25dd5b8..385bdc6502aa 100644
--- a/dev-python/tenacity/Manifest
+++ b/dev-python/tenacity/Manifest
@@ -1 +1,2 @@
DIST tenacity-8.2.2.tar.gz 40186 BLAKE2B af24fa209a0f9de0bb7ddd0d0979620fdb3a41967ea2d45c8864cc9feb3237d345b85015379228dd7714d7dd3f921e190bfdea3ba5c3fe627df804de6641894d SHA512 a1e2569dd5afdc982716f22ba7c67f7a43351e9f2dbefad30854d8655fa7600300c624b7353ea7d68aa462cbf2f33cf93e643e2868e8e197a61eb1ccf25c275e
+DIST tenacity-8.2.3.tar.gz 40651 BLAKE2B c79af0a6e0ee0af52fe47579b830ee911b10bd780467eaa22308443830a29cf76583455acbe53c92805abb51686db32696e94cb83ca2ce576a5508272e016fe4 SHA512 c1e82867c0be8a0a38d05ecee04568c3c4eebff85d8c1b90713e3ca953197da7a857d8dc20083afc4fa4b92cc5e43a8aabe8022bc104394acbe6a0aba7602613
diff --git a/dev-python/tenacity/tenacity-8.2.3.ebuild b/dev-python/tenacity/tenacity-8.2.3.ebuild
new file mode 100644
index 000000000000..1dfd2761517b
--- /dev/null
+++ b/dev-python/tenacity/tenacity-8.2.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="General-purpose retrying library"
+HOMEPAGE="
+ https://github.com/jd/tenacity/
+ https://pypi.org/project/tenacity/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/tornado[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+
+ if ! has_version "dev-python/typeguard[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_tenacity.py::TestRetryTyping::test_retry_type_annotations
+ )
+ fi
+
+ epytest
+}
next reply other threads:[~2023-08-14 14:55 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-08-14 14:55 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-17 7:35 [gentoo-commits] repo/gentoo:master commit in: dev-python/tenacity/ Michał Górny
2024-08-17 7:28 Michał Górny
2024-08-12 17:18 Arthur Zamarin
2024-07-30 2:47 Michał Górny
2024-07-27 11:58 Sam James
2024-07-27 9:28 Arthur Zamarin
2024-07-27 6:00 Michał Górny
2024-07-20 13:27 Michał Górny
2024-07-13 8:01 Michał Górny
2024-07-13 8:01 Michał Górny
2024-07-13 7:27 Arthur Zamarin
2024-07-11 20:55 James Le Cuirot
2024-07-07 1:02 Ionen Wolkens
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:02 Michał Górny
2024-07-05 16:29 Arthur Zamarin
2024-06-28 11:12 Michał Górny
2024-06-25 23:16 Sam James
2024-06-25 8:01 Michał Górny
2024-06-24 0:13 Sam James
2024-06-23 20:19 Sam James
2024-06-23 16:20 Michał Górny
2024-06-18 4:45 Michał Górny
2024-05-22 9:10 Michał Górny
2024-05-22 9:05 Michał Górny
2024-05-17 17:03 Michał Górny
2024-05-07 17:45 Michał Górny
2024-03-09 18:30 Andrew Ammerlaan
2023-11-24 15:55 Arthur Zamarin
2023-09-17 11:26 Michał Górny
2023-09-17 5:07 Arthur Zamarin
2023-06-01 14:50 Michał Górny
2023-03-11 9:58 Michał Górny
2023-03-11 8:34 Arthur Zamarin
2023-02-28 18:16 Arthur Zamarin
2023-02-10 6:52 Michał Górny
2023-02-08 6:27 Michał Górny
2022-10-25 10:31 Michał Górny
2022-10-25 9:49 Sam James
2022-09-22 12:15 Michał Górny
2022-06-23 8:17 Michał Górny
2022-06-22 18:37 Sam James
2022-05-23 10:34 Michał Górny
2022-05-23 10:34 Michał Górny
2021-09-23 15:35 Marek Szuba
2021-08-16 6:13 Michał Górny
2021-08-16 5:13 Agostino Sarubbo
2021-07-13 6:35 Michał Górny
2021-07-09 7:26 Michał Górny
2021-04-07 8:06 Michał Górny
2021-04-07 6:23 Sam James
2021-03-04 8:57 Michał Górny
2021-03-04 8:57 Michał Górny
2020-10-21 22:51 Michał Górny
2020-10-18 19:17 Sam James
2020-10-18 18:51 Thomas Deutschmann
2020-10-18 3:48 Matthew Thode
2020-10-16 12:00 Michał Górny
2020-09-15 21:52 Matthew Thode
2020-08-01 21:31 Michał Górny
2020-05-30 20:23 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-05-20 4:44 Matthew Thode
2020-03-16 18:55 Michał Górny
2019-12-29 8:53 David Seifert
2019-04-10 5:08 Matthew Thode
2018-03-12 19:38 Zac Medico
2018-02-19 0:54 Matt Thode
2017-10-03 4:41 Matt Thode
2017-08-27 4:26 Matt Thode
2017-03-26 4:16 Matt Thode
2017-02-27 2:16 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1692024916.103f409b1bc065f3beea6cc2d46214d83a8abde2.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox